## libdrm-poulsbo 2.3.0-1ubuntu0sarvatt4~1004um1ubuntu1

=== debian/changelog ===
libdrm-poulsbo (2.3.0-1ubuntu0sarvatt4~1004um1ubuntu1) lucid; urgency=low

  * build for lucid

 -- Vitaliy Kulikov <slonua@gmail.com>  Thu, 13 May 2010 16:48:49 +0300

libdrm-poulsbo (2.3.0-1ubuntu0sarvatt4~1004um1) lucid; urgency=low

  * Non-maintainer upload.
  * Sync with Sarvatt changes

 -- Jose Bernardo Bandos <jbbandos@hotmail.com>  Tue, 11 May 2010 14:20:06 +0200

libdrm-poulsbo (2.3.0-1ubuntu0sarvatt4~psb) lucid; urgency=low

  * Initial package for lucid.
  * + Move libdrm-poulsbo1-dbg to debug section
  * + Install headers in /usr/include/psb/ and only install required ones there.
  * + Install libs to /usr/lib/psb/
  * + Rename libdrm.pc to libdrm-poulsbo.pc, fix contents for the above changes.
  * + Include ld.conf.so.d conffile that points to the new directories.
  * + Call ldconfig during postinst/postrm

 -- Robert Hooker <sarvatt@ubuntu.com>  Sat, 08 May 2010 19:40:24 -0400

libdrm-poulsbo (2.3.0-0ubuntu3netbook7) netbook-jaunty; urgency=low

  * debian/libdrm-poulsbo{1|-dev}.{preinst|postrm}:
    - Use "rmdir" instead of "rm" with --ignore-fail-on-non-empty.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 Jun 2009 19:55:15 +0200

libdrm-poulsbo (2.3.0-0ubuntu3netbook6) jaunty; urgency=low

  * debian/libdrm-poulsbo1.{preinst|postrm}:
    - Use /usr/share/psb/lib for diversions on /usr/lib.
    - Restore .so extension.
 
 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 Jun 2009 15:08:24 +0200

libdrm-poulsbo (2.3.0-0ubuntu3netbook5) jaunty; urgency=low

  * debian/libdrm-poulsbo1.postinst:
    - Remove (as dh_makeshlibs already generates one).
  * debian/libdrm-poulsbo1.{preinst|postrm}:
    - Remove .so from the diversions name, otherwise
      ldconfig will find them and link against them.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 Jun 2009 12:53:20 +0200

libdrm-poulsbo (2.3.0-0ubuntu3netbook4) jaunty; urgency=low

  * debian/libdrm-poulsbo1.postinst:
    - Make sure that libdrm.so.2 points to libdrm.so.2.3.0.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 11 Jun 2009 11:08:05 +0200

libdrm-poulsbo (2.3.0-0ubuntu3netbook3) jaunty; urgency=low

  * debian/control:
    - libdrm-poulsbo1 does not conflict/replace/provide libdrm2 any more.
    - libdrm-poulsbo-dev does not conflict/replace/provide libdrm-dev any more.
  * debian/libdrm-poulsbo1.{preinst|postrm}:
    - Add/remove diversions so that the package can live with libdrm2.
  * debian/libdrm-poulsbo-dev.{preinst|postrm}:
    - Add/remove diversions so that the package can live with libdrm-dev
      and linux-libc-dev.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 10 Jun 2009 17:43:23 +0200

libdrm-poulsbo (2.3.0-0ubuntu3netbook2) jaunty; urgency=low

  * Rebuild for the psb PPA

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 26 May 2009 11:58:18 +0200

libdrm-poulsbo (2.3.0-0ubuntu3netbook1) netbook-jaunty; urgency=low

  * Bump revision for upload to netbook-jaunty.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 15 May 2009 10:45:14 +0200

libdrm-poulsbo (2.3.0-0ubuntu2) jaunty; urgency=low

  * debian/copyright:
    - Mention Canonical Ltd as regards the packaging.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 06 May 2009 10:54:41 +0200

libdrm-poulsbo (2.3.0-0ubuntu1) jaunty; urgency=low

  * First release for Jaunty. This should only be 
    used for Poulsbo.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 29 Apr 2009 11:59:03 +0200
