=== debian/control ===
Source: libdrm-poulsbo
Priority: optional
Maintainer: Ubuntu Mobile Developers <ubuntu-mobile@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Thierry Reding <thierry@gilfi.de>, Julien Cristau <julien.cristau@ens-lyon.org>
Build-Depends: debhelper (>= 5.0.0), autotools-dev, libx11-dev, dpkg-dev (>= 1.13.19), perl, quilt
Standards-Version: 3.7.2
Section: libs

Package: libdrm-poulsbo-dev
Section: libdevel
Architecture: any
Depends: libdrm-poulsbo1 (= ${binary:Version})
Description: Userspace interface to kernel DRM services -- development files
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides the development environment for libdrm.
 .
 This package utilizes the TTM API for use with the Poulsbo graphics
 sub-system.

Package: libdrm-poulsbo1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Userspace interface to kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides the runtime environment for libdrm.
 .
 This package utilizes the TTM API for use with the Poulsbo graphics
 sub-system.

Package: libdrm-poulsbo1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libdrm-poulsbo1 (= ${binary:Version})
Description: Userspace interface to kernel DRM services -- debugging symbols
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides debugging symbols for the libdrm-poulsbo1 package.
 .
 This package utilizes the TTM API for use with the Poulsbo graphics
 sub-system.
