=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

QUILT_STAMPFN = quilt-stamp

include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	chmod +x configure
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --libdir=\$${prefix}/lib/psb --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-static=yes

build: build-stamp
build-stamp:  patch config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# remove files we don't need in libdrm-poulsbo-dev
	for file in drm_sarea.h i915_drm.h mga_drm.h r128_drm.h radeon_drm.h savage_drm.h sis_drm.h via_drm.h r300_reg.h via_3d_reg.h nouveau_drm.h mach64_drm.h; do \
		rm -f debian/tmp/usr/include/psb/drm/$$file; \
	done
	#Shuffle around the pkgconfig file
	mkdir -p debian/tmp/usr/lib/pkgconfig
	mv debian/tmp/usr/lib/psb/pkgconfig/libdrm.pc debian/tmp/usr/lib/pkgconfig/libdrm-poulsbo.pc
	mkdir -p debian/tmp/etc/ld.so.conf.d
	echo "/usr/lib/psb" \
	> $(CURDIR)/debian/tmp/etc/ld.so.conf.d/psb.conf
	# fix libdir in pkgconfig and la files
	perl -pi -e 's,%{_libdir},%{_libdir}/psb,' \
	  debian/tmp/usr/lib/pkgconfig/libdrm-poulsbo.pc \
	  debian/tmp/usr/lib/psb/libdrm.la


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp -Xlibdrm.la --list-missing
	dh_link
	dh_strip -plibdrm-poulsbo1 --dbg-package=libdrm-poulsbo1-dbg
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
