=== debian/watch ===
version=3

http://people.freedesktop.org/~ajax/libdrm/libdrm-(.*)\.tar\.gz
